SDL_vasprintf(3)

NAME
SDL_vasprintf - This works exactly like vasprintf() but doesn't require access to a C runtime.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_vasprintf(char **strp, const char *fmt, va_list ap);

DESCRIPTION
Functions identically to SDL_asprintf (), except it takes a va_list instead of using ... variable arguments.

FUNCTION PARAMETERS

strp
    on output, is set to the new string. Must not be NULL.

fmt a printf-style format string. Must not be NULL.

ap  a va_list values to be used with the format string.

RETURN VALUE
Returns the number of bytes in the newly-allocated string, not counting the null-terminator char, or a negative value on error.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.